r29619 - in /desktop/unstable/librsvg/debian: changelog librsvg2-common.postinst.in rules

mpitt at users.alioth.debian.org mpitt at users.alioth.debian.org
Thu Sep 8 13:33:38 UTC 2011


Author: mpitt
Date: Thu Sep  8 13:33:37 2011
New Revision: 29619

URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=29619
Log:
Add debian/librsvg2-common.postinst.in, and debian/rules code to produce
the postinst from substituting the multiarch dir: Register the librsvg
gdk-pixbuf loader. This is usually handled by the libgdk-pixbuf2.0-0
trigger, but this fails on first installation in some scenarios (see
https://launchpad.net/bugs/719861 comment 9).

Added:
    desktop/unstable/librsvg/debian/librsvg2-common.postinst.in
Modified:
    desktop/unstable/librsvg/debian/changelog
    desktop/unstable/librsvg/debian/rules

Modified: desktop/unstable/librsvg/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/librsvg/debian/changelog?rev=29619&op=diff
==============================================================================
--- desktop/unstable/librsvg/debian/changelog [utf-8] (original)
+++ desktop/unstable/librsvg/debian/changelog [utf-8] Thu Sep  8 13:33:37 2011
@@ -9,6 +9,11 @@
   * debian/control.in: Add Vcs-* fields.
   * Add 01_null_crash.patch: Fix crash on some broken SVGs. Patch by Bruno
     Girin. (GNOME #626559, LP #608026)
+  * Add debian/librsvg2-common.postinst.in, and debian/rules code to produce
+    the postinst from substituting the multiarch dir: Register the librsvg
+    gdk-pixbuf loader. This is usually handled by the libgdk-pixbuf2.0-0
+    trigger, but this fails on first installation in some scenarios (see
+    https://launchpad.net/bugs/719861 comment 9).
 
  -- Martin Pitt <mpitt at debian.org>  Thu, 08 Sep 2011 14:20:28 +0200
 

Added: desktop/unstable/librsvg/debian/librsvg2-common.postinst.in
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/librsvg/debian/librsvg2-common.postinst.in?rev=29619&op=file
==============================================================================
--- desktop/unstable/librsvg/debian/librsvg2-common.postinst.in (added)
+++ desktop/unstable/librsvg/debian/librsvg2-common.postinst.in [utf-8] Thu Sep  8 13:33:37 2011
@@ -1,0 +1,16 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+if [ "$1" = configure ]; then
+    # run an update there because the trigger might not work; see
+    # https://launchpad.net/bugs/719861 comment 9 for details
+    GDKPIXDIR=/usr/lib/#MULTIARCH#/gdk-pixbuf-2.0/
+    if [ -d $GDKPIXDIR ]; then
+        for VERSION in  `ls $GDKPIXDIR`; do
+	    $GDKPIXDIR/gdk-pixbuf-query-loaders $GDKPIXDIR/$VERSION/loaders/*.so /usr/lib/gdk-pixbuf-2.0/$VERSION/loaders/*.so > $GDKPIXDIR/$VERSION/loaders.cache 2>/dev/null || true
+	done
+    fi
+fi
+

Modified: desktop/unstable/librsvg/debian/rules
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/librsvg/debian/rules?rev=29619&op=diff
==============================================================================
--- desktop/unstable/librsvg/debian/rules [utf-8] (original)
+++ desktop/unstable/librsvg/debian/rules [utf-8] Thu Sep  8 13:33:37 2011
@@ -25,6 +25,12 @@
 binary-install/librsvg2-common::
 	LD_LIBRARY_PATH=debian/$(LIBRSVG2_PKG)/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
 		dh_gtkmodules -plibrsvg2-common
+	sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" debian/$(cdbs_curpkg).postinst.in > \
+		debian/$(cdbs_curpkg).postinst
 
 binary-install/librsvg2-bin::
 	dh_pysupport -plibrsvg2-bin
+
+clean::
+	rm -f debian/librsvg2-common.postinst
+




More information about the pkg-gnome-commits mailing list